%global nhgamedir /usr/games/lib/nethackdir
%global nhdatadir /var/games/nethack

%global fontname nethack-bitmap

Name:           nethack
Version:        3.6.0
Release:        %mkrel 1
Summary:        A rogue-like single player dungeon exploration game

Group:          Games/Adventure
License:        NGPL
URL:            http://nethack.org
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-360-src.tgz
Source1:        %{name}.desktop
Patch0:         %{name}-3.6.0-makefile.patch
Patch1:         %{name}-3.6.0-config.patch
Patch2:         %{name}-3.6.0-x11.patch
Patch3:         %{name}-3.6.0-guidebook.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       %{fontname}-fonts-core

BuildRequires:  ncurses-devel
BuildRequires:  bison, flex, desktop-file-utils
BuildRequires:  bdftopcf, mkfontdir, libx11-devel, xaw-devel, libxext-devel
BuildRequires:  libxmu-devel, libxpm-devel, libxt-devel
BuildRequires:  fontpackages-devel


%description
NetHack is a single player dungeon exploration game that runs on a
wide variety of computer systems, with a variety of graphical and text
interfaces all using the same game engine.

Unlike many other Dungeons & Dragons-inspired games, the emphasis in
NetHack is on discovering the detail of the dungeon and not simply
killing everything in sight - in fact, killing everything in sight is
a good way to die quickly.

Each game presents a different landscape - the random number generator
provides an essentially unlimited number of variations of the dungeon
and its denizens to be discovered by the player in one of a number of
characters: you can pick your race, your role, and your gender.


%package -n %{fontname}-fonts
Summary:        Bitmap fonts for Nethack
Group:          System/Fonts/X11 bitmap
BuildArch:      noarch
Requires:       fontpackages-filesystem

%description -n %{fontname}-fonts
Bitmap fonts for Nethack.

%package -n %{fontname}-fonts-core
Summary:         X11 core fonts configuration for %{fontname}
Group:          System/Fonts/X11 bitmap
BuildArch:      noarch
Requires:        %{fontname}-fonts
Requires(post):  %{fontname}-fonts
Requires(post):  mkfontdir
Requires(post):  coreutils
Requires(preun): coreutils

%description -n %{fontname}-fonts-core
X11 core fonts configuration for %{fontname}.


%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p1 -b .config
%patch2 -p1 -b .x11
%patch3 -p1 -b .guidebook

perl -i -l -p -e 's{^#(PREFIX=/usr)\s*$}{$1}; s{^(PREFIX=\$\(wildcard.*)$}{# $1};' sys/unix/hints/linux-x11

cd sys/unix
sh setup.sh hints/linux-x11

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
%make_install PREFIX=%{buildroot}/%{_prefix}

rm -rf $RPM_BUILD_ROOT%{nhgamedir}/save
mkdir -p %{buildroot}%{_bindir}
mv $RPM_BUILD_ROOT%{nhgamedir}/recover $RPM_BUILD_ROOT%{_bindir}/nethack-recover
mv $RPM_BUILD_ROOT/usr/games/nethack $RPM_BUILD_ROOT%{_bindir}/nethack

install -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man6
make -C doc MANDIR=$RPM_BUILD_ROOT%{_mandir}/man6 manpages

install -D -p -m 0644 win/X11/nh_icon.xpm \
        $RPM_BUILD_ROOT%{_datadir}/pixmaps/nethack.xpm

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category Game \
        --add-category RolePlaying \
        %{SOURCE1}

# Install the fonts for the X11 interface
cd win/X11
bdftopcf -o nh10.pcf nh10.bdf
bdftopcf -o ibm.pcf ibm.bdf
install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.pcf $RPM_BUILD_ROOT%{_fontdir}

%{__sed} -i -e 's:^!\(NetHack.tile_file.*\):\1:' \
        $RPM_BUILD_ROOT%{nhgamedir}/NetHack.ad


%post -n %{fontname}-fonts-core
mkfontdir %{_fontdir}
if [ ! -L /etc/X11/fontpath.d/nethack ] ; then
    ln -s %{_fontdir} /etc/X11/fontpath.d/nethack
fi

%preun -n %{fontname}-fonts-core
if [ $1 -eq 0 ] ; then
    rm /etc/X11/fontpath.d/nethack
    rm %{_fontdir}/fonts.dir
fi;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*.txt README dat/license dat/history
%doc dat/opthelp dat/wizhelp
%{_mandir}/man6/*
%{_datadir}/pixmaps/nethack.xpm
%{_datadir}/applications/nethack.desktop
%{nhgamedir}/nhdat
%{_bindir}/nethack
%{_bindir}/nethack-recover
%{nhgamedir}
%defattr(0664,root,games)
%config(noreplace) %{nhgamedir}/record
%config(noreplace) %{nhgamedir}/perm
%config(noreplace) %{nhgamedir}/logfile
%attr(2755,root,games) %{nhgamedir}/nethack

%_font_pkg -n bitmap *.pcf

%files -n %{fontname}-fonts-core
%defattr(-,root,root,-)



%changelog
* Sat Mar 05 2016 shlomif <shlomif> 3.6.0-1.mga6
+ Revision: 986121
- Correct dep
- Importing nethack-3.6.0 based on the fedora package (thanks)

